Subject: Re: bug#21556: 25.0.50; Memory leak in emacs -Q with lucid (font)

From: [email-masked] (K. Handa)
Date: Tue, 29 Sep 2015 19:05:21 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> So maybe we should simply remove (or ifdef away) the code that
> compacts the font caches.  If your assumption about reusing the font
> is anywhere near the truth, compacting the font cache gives us more
> trouble than it gains: we get slow redisplay in some cases and random
> hard-to-debug bugs, while the gains are only visible in very rare use
> cases such as the one described in the Oct 2013 discussion.

That may be an practical workaround at the moment.

But, my design was based on the situation of more than 10 years.
Nowadays, font listing and loading may not be that slow.  And, if the
cache-compacting code itself is doing the right thing, and it just
revealed a bug in core part of font handler, the effort of tracking down
the reason of current crashing may lead to fixing that bug.

---
K. Handa
[email-masked]